Configure Webhook
curl --request POST \
--url https://api-umbrella.io/api/services/onboarding/configureWebhook \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"webhookUrl": "https://api.idcanopy.com/webhooks/onboarding",
"metadata": {
"authHeader": {
"Authorization": "Bearer EXAMPLE_TOKEN_1234567890abcdef",
"Api-Key": "fQVZSAp18GqvbwId8LotQl"
}
}
}
'import requests
url = "https://api-umbrella.io/api/services/onboarding/configureWebhook"
payload = {
"webhookUrl": "https://api.idcanopy.com/webhooks/onboarding",
"metadata": { "authHeader": {
"Authorization": "Bearer EXAMPLE_TOKEN_1234567890abcdef",
"Api-Key": "fQVZSAp18GqvbwId8LotQl"
} }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
webhookUrl: 'https://api.idcanopy.com/webhooks/onboarding',
metadata: {
authHeader: {
Authorization: 'Bearer EXAMPLE_TOKEN_1234567890abcdef',
'Api-Key': 'fQVZSAp18GqvbwId8LotQl'
}
}
})
};
fetch('https://api-umbrella.io/api/services/onboarding/configureWebhook', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"data": {
"id": "74884fe3-c9e1-4462-b60f-c461e422000c",
"url": "https://api.idcanopy.com/webhooks/onboarding",
"createdAt": "2025-05-08T16:39:28.339Z"
}
}{
"message": "Invalid request payload"
}{
"message": "Unauthorized request"
}{
"error": "Webhook configuration already exists",
"message": "Webhook configuration already exists for this product and customer."
}QES Onboarding
QES Onboarding Configure Webhook Service
QES Onboarding Configure Webhook Service API Documentation
POST
/
onboarding
/
configureWebhook
Configure Webhook
For a usage description of the QES Onboarding Configure Webhook Service, please refer to the QES Onboarding page.
Endpoint
POST/onboarding/configureWebhook
Swagger
Authorizations
Bearer token obtained from POST /auth. Valid for 60 minutes.
Body
application/json
URL to receive status pings.
Example:
"https://api.idcanopy.com/webhooks/onboarding"
⌘I